Elliptic curve used.

### Hierarchy

- CurveLabel

## Index

### Constructors

- constructor

### Properties

- hex
- label
- preset
- ED25519
- SECP224R1
- SECP256R1
- SECP384R1
- SECP521R1
- SM2P256V1
- values

### Methods

- fromHex
- fromLabel

## Constructors

### constructor

- new CurveLabel(label: string, hex: number, preset: string): CurveLabel

- - Defined in crypto/CurveLabel.ts:62

  #### Parameters

  - ##### label: string

  - ##### hex: number

  - ##### preset: string

  #### Returns CurveLabel

## Properties

### hex

hex: number

- Defined in crypto/CurveLabel.ts:61

### label

label: string

- Defined in crypto/CurveLabel.ts:60

### preset

preset: string

- Defined in crypto/CurveLabel.ts:62

### Static ED25519

ED25519: CurveLabel = new CurveLabel('ed25519', 25, 'ed25519')

- Defined in crypto/CurveLabel.ts:30

### Static SECP224R1

SECP224R1: CurveLabel = new CurveLabel('P-224', 1, 'p224')

- Defined in crypto/CurveLabel.ts:25

### Static SECP256R1

SECP256R1: CurveLabel = new CurveLabel('P-256', 2, 'p256')

- Defined in crypto/CurveLabel.ts:26

### Static SECP384R1

SECP384R1: CurveLabel = new CurveLabel('P-384', 3, 'p384')

- Defined in crypto/CurveLabel.ts:27

### Static SECP521R1

SECP521R1: CurveLabel = new CurveLabel('P-521', 4, 'p521')

- Defined in crypto/CurveLabel.ts:28

### Static SM2P256V1

SM2P256V1: CurveLabel = new CurveLabel('sm2p256v1', 20, 'sm2p256v1')

- Defined in crypto/CurveLabel.ts:29

### Static values

values: CurveLabel[] = []

- Defined in crypto/CurveLabel.ts:23

## Methods

### Static fromHex

- fromHex(hex: number): CurveLabel

- - Defined in crypto/CurveLabel.ts:37

  Finds Curvecorresponding to specified hex representation.

  #### Parameters

  - ##### hex: number

    Byte hex value

  #### Returns CurveLabel

### Static fromLabel

- fromLabel(label: string): CurveLabel

- - Defined in crypto/CurveLabel.ts:51

  Finds Curve corresponding to specified label representation.

  #### Parameters

  - ##### label: string

    Label

  #### Returns CurveLabel

Generated using TypeDoc